id: 231
createUser: admin
createTime: 2025-05-08T17:37:29.198618799Z
name: nodejsApp_Source_test-app-incidunt127.79.windup
kind: analyzer
addon: analyzer
extensions:
    - nodejs
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included: []
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 79
    name: nodejsApp_Source_test-app-incidunt127
bucket:
    id: 332
    name: ""
started: 2025-05-08T17:37:30.051185871Z
terminated: 2025-05-08T17:38:54.232959916Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-08T17:37:30.019731427Z
    - kind: ExtensionSelected
      count: 1
      reason: nodejs
      last: 2025-05-08T17:37:30.045167642Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-231-mwsmn
      last: 2025-05-08T17:37:30.101217201Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-05-08T17:37:32.221631266Z
    - kind: PodRunning
      count: 11
      last: 2025-05-08T17:37:44.006389755Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-08T17:37:44.006390537Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''nodejs'' had not terminated.'
      last: 2025-05-08T17:37:44.090030127Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-08T17:38:54.232877882Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/analyzer-lsp'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/analyzer-lsp /shared/source/analyzer-lsp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --no-dependency-rules --rules /addon/rules/files'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 79.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 64 reported. duration: 24.492191ms'
    - Facts updated.
    - Done.
attached:
    - id: 2141
      name: ssh-agent.output
      activity: 9
    - id: 2142
      name: git.output
      activity: 14
    - id: 2143
      name: windup-shim.output
      activity: 17
    - id: 2144
      name: settings.yaml
      activity: 19
    - id: 2145
      name: konveyor-analyzer.output
      activity: 20
    - id: 2149
      name: git.output
      activity: 23
    - id: 2146
      name: addon.log
    - id: 2147
      name: nodejs.log
    - id: 2151
      name: pod.yaml
